import matplotlib.pyplot as plt
plt.clf()
from tf_pwa.generator.square_dalitz_plot import generate_SDP, square_dalitz_variables
p1, p2, p3 = generate_SDP(5.0, [2.0, 1.8, 0.5], 1000, legacy=True)
p12, p22, p32 = generate_SDP(5.0, [2.0, 1.8, 0.5], 1000, legacy=False)
mp, thetap, *_ = square_dalitz_variables([p1, p2, p3])
mp2, thetap2, *_ = square_dalitz_variables([p12, p22, p32])
_ = plt.subplot(1,2,1)
_ = plt.hist(mp.numpy(), range=(0,1), label="legacy", alpha=0.5)
_ = plt.hist(mp2.numpy(), range=(0,1), label="real", alpha=0.5)
_ = plt.xlabel("m'")
_ = plt.subplot(1,2,2)
_ = plt.hist(thetap.numpy(), range=(0,1), label="legacy", alpha=0.5)
_ = plt.hist(thetap2.numpy(), range=(0,1), label="real", alpha=0.5)
_ = plt.xlabel("$\\theta$'")
_ = plt.legend()
